| Home | Libraries | People | FAQ | More

##### posix::basic_stream_descriptor::close (2 of 2 overloads)

Inherited from posix::basic_descriptor.

Close the descriptor.

    boost::system::error_code close(
        boost::system::error_code & ec);

This function is used to close the descriptor. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `boost::asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any.